> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rad.security/llms.txt
> Use this file to discover all available pages before exploring further.

# List all the currently existing collections



## OpenAPI

````yaml /api-reference/openapi.yaml get /tenants/{tenant_id}/accounts/{account_id}/knowledge_base/collections
openapi: 3.0.0
info:
  description: |
    The RAD Security API specification
  title: RAD Security API Spec
  version: 0.0.21
servers:
  - url: https://api.prd.rad.security
security: []
tags:
  - name: integrations
    x-displayName: Integrations
  - name: documents
    x-displayName: Documents
  - name: collections
    x-displayName: Collections
  - name: public
    x-displayName: public
  - name: Knowledge Base
    x-displayName: Knowledge Base
paths:
  /tenants/{tenant_id}/accounts/{account_id}/knowledge_base/collections:
    get:
      tags:
        - Knowledge Base
      summary: List all the currently existing collections
      operationId: ListAccountCollections
      parameters:
        - $ref: '#/components/parameters/tenantIDParam'
        - $ref: '#/components/parameters/accountIDParam'
        - $ref: '#/components/parameters/limitParam'
        - $ref: '#/components/parameters/offsetParam'
      responses:
        '200':
          description: List of collections
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionCollection'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  parameters:
    tenantIDParam:
      name: tenant_id
      in: path
      description: RAD tenant ID
      required: true
      schema:
        type: string
    accountIDParam:
      name: account_id
      in: path
      description: RAD account ID
      required: true
      schema:
        type: string
    limitParam:
      name: limit
      in: query
      description: Number of records to return
      schema:
        type: integer
        default: 50
        minimum: 1
    offsetParam:
      name: offset
      in: query
      description: Requested record offset
      schema:
        type: integer
        default: 0
        minimum: 0
  schemas:
    CollectionCollection:
      description: A collection of collections that documents have been tagged with
      allOf:
        - $ref: '#/components/schemas/PaginatedResponse'
        - type: object
          required:
            - entries
          properties:
            entries:
              items:
                type: string
              type: array
    APIError:
      properties:
        code:
          type: string
        request_id:
          type: string
        status:
          type: integer
        validation_details:
          items:
            $ref: '#/components/schemas/ValidationDetail'
          type: array
      type: object
      required:
        - status
    PaginatedResponse:
      type: object
      required:
        - current_offset
        - has_more
        - total_count
      properties:
        current_offset:
          type: integer
          description: The offset of the currently requested record set
        has_more:
          type: boolean
          description: If there are more records available
        total_count:
          type: integer
          description: The total number of records that match the criteria
    ValidationDetail:
      properties:
        code:
          type: string
        field:
          type: string
        message:
          type: string
        param:
          type: string
      type: object
      required:
        - code
        - field
        - message

````